using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;

public partial class goods_detailedckcl : PageBase
{
    SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["constring"].ConnectionString);

    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            string strnumber;
            string ckygid;
            strnumber = Request.QueryString["ckdh"];
            ckygid  = Request.QueryString["ckygid"];
            Labrkdh.Text = strnumber;
            Label8.Text = ckygid;
            DataBindRePeat();
            DataBindRePeat1();
        }
    }

   // Label7
    private void DataBindRePeat1()
    {
        int ckygid;
        ckygid = ConvertHelper.GetInteger(Label8.Text);
        if (ckygid == 0)
            return;
        string strsql = "select PersonnelName from tabP_Personnel where Pid = '" + ckygid + "'";
        conn.Open();
        SqlCommand cmd = new SqlCommand(strsql,conn);
        string strname = ConvertHelper.GetString(cmd.ExecuteScalar());

        conn.Close();
        Label7.Text = "出库接收员工：" + strname; 

    }
    private void DataBindRePeat()
    {
      
        int temp1 = Convert.ToInt32(lblCurrentPage.Text);
        List<goods> Stus = GetTestData();
        Stus = Stus.Skip((temp1 - 1) * 15).Take(15).ToList();
        this.Repeater1.DataSource = Stus;
        this.Repeater1.DataBind();

        string strrkdh;
        strrkdh = Labrkdh.Text;
        int count;
        List<goods> Stu = GetTestData();
        count = ConvertHelper.GetInteger(Stu.Count());

        int j = count / 15;
        int i = count % 15;
        if (j >= 1)
        {
            if (i > 0)
            {
                j = j + 1;
            }

        }
        else
        {
            j = 1;

        }

        lblPageCount.Text = j.ToString();
    }



    private List<goods> GetTestData()
    {
        List<goods> stus = new List<goods>();

        string strrkdh;
        strrkdh = Labrkdh.Text;

        try
        {
            string sql = "SELECT * FROM [v_ck02] where ckdh='" + strrkdh + "' ";
            conn.Open();
            SqlCommand cmd = new SqlCommand(sql, conn);
            using (SqlDataReader dr = cmd.ExecuteReader())
            {
                while (dr.Read())
                {
                    goods s = new goods();

                    s.Gid = ConvertHelper.GetInteger(dr["Gid"]);
                    s.ckdh = ConvertHelper.GetInteger(dr["ckdh"]);
                    s.cksl = ConvertHelper.GetInteger(dr["cksl"]);
                    s.goodprice = ConvertHelper.GetDecimal(dr["goodprice"]);
                    s.GoodsName = ConvertHelper.GetString(dr["GoodsName"]);
                    stus.Add(s);
                }
            }
        }
        catch (Exception)
        {

            throw;
        }
        finally
        {
            conn.Close();
        }
        return stus;

    }
    public class goods
    {
        public int Gid { get; set; }
        public int cksl { get; set; }
        public decimal goodprice { get; set; }
        public string GoodsName { get; set; }
        public int ckdh { get; set; }
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        List<goods> Stus = GetTestData();

        Stus = Stus.Skip(0).Take(15).ToList();

        this.Repeater1.DataSource = Stus;
        this.Repeater1.DataBind();
        lblCurrentPage.Text = "1";
    }
    protected void Button6_Click(object sender, EventArgs e)
    {
        int temp = Convert.ToInt32(this.lblCurrentPage.Text);

        if (temp > 1)
        {
            List<goods> Stus = GetTestData();

            this.lblCurrentPage.Text = (--temp).ToString();

            Stus = Stus.Skip((temp - 1) * 15).Take(15).ToList();

            this.Repeater1.DataSource = Stus;
            this.Repeater1.DataBind();
        }
    }
    protected void Button7_Click(object sender, EventArgs e)
    {
        int temp = Convert.ToInt32(this.lblCurrentPage.Text);

        if (temp < Convert.ToInt32(lblPageCount.Text))
        {
            List<goods> Stus = GetTestData();
            this.lblCurrentPage.Text = (++temp).ToString();

            Stus = Stus.Skip((temp - 1) * 15).Take(15).ToList();

            this.Repeater1.DataSource = Stus;
            this.Repeater1.DataBind();
        }
    }
    protected void Button8_Click(object sender, EventArgs e)
    {
        int intendpage = Convert.ToInt32(lblPageCount.Text);

        List<goods> Stus = GetTestData();

        Stus = Stus.Skip((intendpage - 1) * 15).Take(15).ToList();

        this.Repeater1.DataSource = Stus;
        this.Repeater1.DataBind();
        lblCurrentPage.Text = lblPageCount.Text;
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("goodsckcl.aspx");
    }

}